parser: babel-eslint

plugins:
  - react
  - jest
  - functional
  - testing-library
  - jest-dom

extends:
  - airbnb
  - "plugin:jest/recommended"
  - "plugin:functional/external-recommended"
  - "plugin:functional/recommended"
  - "plugin:react/recommended"
  - "plugin:react-hooks/recommended"
  - "plugin:testing-library/react"
  - "plugin:jest-dom/recommended"

env:
  browser: true
  node: true
  jest: true
  # es2020: true

# parserOptions:
#   ecmaVersion: 2020

# settings:
#   import/resolver:
#     webpack:
#     node:
#     # webpack:
# #   react:
# #     version: "16.13"

rules:
#  linebreak-style: ["error", "windows"]
  import/extensions: 0
  # TODO: cause an error
  import/no-unresolved: 0
  # react/jsx-filename-extension: 0
  react/prop-types: 0
  no-console: 0
  functional/no-conditional-statement: 0
  functional/no-expression-statement: 0
  functional/immutable-data: 0
  functional/functional-parameters: 0
  functional/no-try-statement: 0
  functional/no-throw-statement: 0
  no-underscore-dangle: [2, { "allow": ["__filename", "__dirname"] }]
  testing-library/no-debug: 0
